
QGIS Application - Bug report #20812

Edit features in place - fix geometries not working

2018-12-14 04:10 PM - Andy Whyte

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Processing/Core

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28631

Description

When using the edit features in place function with fix geometries it does not seem to work.

I tested on the same data set with and without the "in place" function and it worked without.

Please see Gif

Associated revisions

Revision f4d7506e - 2018-12-21 11:47 AM - Alessandro Pasotti

Processing in-place do not check validity when fixing geometries

Fixes #20812

History

#1 - 2018-12-15 10:56 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-12-15 10:57 AM - Alessandro Pasotti

Would you please add a test project and data?  That would speed up the bug fixing process a lot.

#3 - 2018-12-17 09:34 AM - Andy Whyte

- File NHS_CCG_Boundaries.shp added

- File Test project.qgz added

#4 - 2018-12-18 09:03 AM - Alessandro Pasotti

Thanks for attaching data: I'll have a look ASAP.

#5 - 2018-12-21 10:49 AM - Alessandro Pasotti

.SHP is not enough for shapefile data, you need to attach all the other files.

#6 - 2018-12-21 11:08 AM - Andy Whyte
- File NHS_CCG_Boundaries.dbf added

- File NHS_CCG_Boundaries.prj added

Apologies

#7 - 2018-12-21 11:09 AM - Andy Whyte

- File NHS_CCG_Boundaries.shx added

#8 - 2018-12-21 11:39 AM - Alessandro Pasotti

- Status changed from Open to Feedback

Your problem is probably caused by a processing setting, please check under

Settings -> Processing -> General -> Invalid features filtering => Do not filter (better performances)

Obviously that is the only value that makes sense for this algorithm or the invalid features will not even get passed in.

#9 - 2018-12-21 11:50 AM - Alessandro Pasotti

PR: https://github.com/qgis/QGIS/pull/8730

#10 - 2018-12-21 11:50 AM - Alessandro Pasotti

- Affected QGIS version changed from 3.4.2 to 3.5(master)

- Operating System deleted (Windows 10)

#11 - 2018-12-21 01:13 PM - Andy Whyte

Thanks for your help

#12 - 2018-12-21 02:27 PM - Alessandro Pasotti

- Status changed from Feedback to In Progress

Thank you for filing this issue, it was indeed a bug: the setting should be ignored for those algorithms that fix broken geometries.

#13 - 2018-12-22 08:44 AM - Alessandro Pasotti

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|f4d7506e73fa70de0f5d1f429e4aa963964f5e41.

Files

Edit in place - fix geometries.gif 1.14 MB 2018-12-14 Andy Whyte

NHS_CCG_Boundaries.shp 753 KB 2018-12-17 Andy Whyte
Test project.qgz 5.47 KB 2018-12-17 Andy Whyte

NHS_CCG_Boundaries.prj 427 Bytes 2018-12-21 Andy Whyte

NHS_CCG_Boundaries.dbf 64.2 KB 2018-12-21 Andy Whyte

NHS_CCG_Boundaries.shx 1.75 KB 2018-12-21 Andy Whyte
